package com.ruoyi.project.shiftmgr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.shiftmgr.mapper.TShiftAccidentMapper;
import com.ruoyi.project.shiftmgr.domain.TShiftAccident;
import com.ruoyi.project.shiftmgr.service.ITShiftAccidentService;

/**
 * 事故记录Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-29
 */
@Service
public class TShiftAccidentServiceImpl implements ITShiftAccidentService
{
    @Autowired
    private TShiftAccidentMapper tShiftAccidentMapper;

    /**
     * 查询事故记录
     *
     * @param id 事故记录ID
     * @return 事故记录
     */
    @Override
    public TShiftAccident selectTShiftAccidentById(Long id)
    {
        return tShiftAccidentMapper.selectTShiftAccidentById(id);
    }

    /**
     * 查询事故记录列表
     *
     * @param tShiftAccident 事故记录
     * @return 事故记录
     */
    @Override
    public List<TShiftAccident> selectTShiftAccidentList(TShiftAccident tShiftAccident)
    {
        return tShiftAccidentMapper.selectTShiftAccidentList(tShiftAccident);
    }

    /**
     * 新增事故记录
     *
     * @param tShiftAccident 事故记录
     * @return 结果
     */
    @Override
    public int insertTShiftAccident(TShiftAccident tShiftAccident)
    {
        return tShiftAccidentMapper.insertTShiftAccident(tShiftAccident);
    }

    /**
     * 修改事故记录
     *
     * @param tShiftAccident 事故记录
     * @return 结果
     */
    @Override
    public int updateTShiftAccident(TShiftAccident tShiftAccident)
    {
        return tShiftAccidentMapper.updateTShiftAccident(tShiftAccident);
    }

    /**
     * 批量删除事故记录
     *
     * @param ids 需要删除的事故记录ID
     * @return 结果
     */
    @Override
    public int deleteTShiftAccidentByIds(Long[] ids)
    {
        return tShiftAccidentMapper.deleteTShiftAccidentByIds(ids);
    }

    /**
     * 删除事故记录信息
     *
     * @param id 事故记录ID
     * @return 结果
     */
    @Override
    public int deleteTShiftAccidentById(Long id)
    {
        return tShiftAccidentMapper.deleteTShiftAccidentById(id);
    }
}
